How can uninstall libmysqlclient20:amd64 ?

Asked by hamdta on 2019-02-02

I have this file broke or another problem occur :
************
tilize 'sudo apt autoremove' para os remover.
Serão mantidos em suas versões actuais os seguintes pacotes:
  clamav
0 pacotes actualizados, 0 pacotes novos instalados, 0 a remover e 1 não actualizados.
1 pacotes não totalmente instalados ou removidos.
É necessário obter 0 B/818 kB de arquivos.
Após esta operação, serão utilizados 0 B adicionais de espaço em disco.
Deseja continuar? [S/n] s^[[A
dpkg: erro ao processar o pacote libmysqlclient20:amd64 (--configure):
 O pacote está num mau estado de inconsistência; deve
 reinstala-lo antes de tentar configura-lo.
Foram encontrados erros enquanto processava:
 libmysqlclient20:amd64
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@rui-HP-Compaq-Elite-8300-SFF:/home/rui# sudo apt-get upgrade
A ler as listas de pacotes... Pronto
A construir árvore de dependências
A ler a informação de estado... Pronto
A calcular a actualização... Pronto
Os seguintes pacotes foram instalados automaticamente e já não são necessários:
  alien at debugedit fonts-noto-hinted fonts-roboto-hinted kodi-data
  kodi-repository-kodi kodi-visualization-spectrum libcec4 libcrossguid0
  libgsasl7 libjpeg62 libjs-iscroll libkyotocabinet16v5 libmicrohttpd12
  libntlm0 libosmgpsmap-1.0-1 libp8-platform2 librpmbuild8 librpmsign8
  linux-headers-4.15.0-43 linux-headers-4.15.0-43-generic lsb-security
  mailutils-common ncurses-term pax rpm
Utilize 'sudo apt autoremove' para os remover.
Serão mantidos em suas versões actuais os seguintes pacotes:
  clamav
0 pacotes actualizados, 0 pacotes novos instalados, 0 a remover e 1 não actualizados.
1 pacotes não totalmente instalados ou removidos.
É necessário obter 0 B/818 kB de arquivos.
Após esta operação, serão utilizados 0 B adicionais de espaço em disco.
Deseja continuar? [S/n] s
dpkg: erro ao processar o pacote libmysqlclient20:amd64 (--configure):
 O pacote está num mau estado de inconsistência; deve
 reinstala-lo antes de tentar configura-lo.
Foram encontrados erros enquanto processava:
 libmysqlclient20:amd64
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@rui-HP-Compaq-Elite-8300-SFF:/home/rui# libmysqlclient20:amd64
libmysqlclient20:amd64: comando não encontrado
root@rui-HP-Compaq-Elite-8300-SFF:/home/rui#
****************
i try some commands BUT nothing remove this file/package libmysqlclient20:amd64 . Help is welcomed!

Thanks
Paulo

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu mysql-5.7 Edit question
Assignee:
No assignee Edit question
Solved by:
Manfred Hampl
Solved:
2019-02-03
Last query:
2019-02-03
Last reply:
2019-02-02
Best Manfred Hampl (m-hampl) said : #1

Try the command

sudo apt install --reinstall libmysqlclient20

hamdta (hamdta) said : #2

Hi Manfred!

Thanks a lot, PROBLEM RESOLVED! :-)

Best regards
Paulo

hamdta (hamdta) said : #3

Thanks Manfred Hampl, that solved my question.